<template>
	<div 
		class="button"  
		:class="[
			disabled ? 'disabled' : '', 
			glow ? 'glow' : '', 
			secondary_text ? 'has-secondary-text' : '', 
			color+'-bkg'
		]"
		v-on:click="click"
	>
		<div class="inner flex space v-center">
			<div class="text">{{text}}</div>
			
			<div class="flex v-center" v-if="secondary_text || icons">
				<div class="secondary-text" v-if="secondary_text">{{secondary_text}}</div>
				
				<div 
					class="icon" 
					v-for="icon in icons"
					:style="{ 'background-image' : 'url('+getImage(icon)+')' }"
				></div>
			</div>
		</div>
	</div>
</template>


<script>
	import { commonMixin } from '../mixins/common.js';
	
	export default {
		props: ['text', 'secondary_text', 'icons', 'disabled', 'color', 'glow'],
		data: function () {
			return{ 
			}
		},
		methods : {
			click(){
				this.$emit('clicked');
			}
		},
		mixins: [commonMixin],
	}
</script>


<style lang="scss" scoped>
	@import "../styles/variables";
	
	.button{    
		display: inline-block;
		position: relative;
		padding: 5px;
		color: black;
		text-transform: uppercase;
		text-align: center;
		font-weight: bold;
		cursor: pointer;
		line-height: 24px;
		height: 35px;
		border-radius: 5px;
		
		.text{
			position: relative;
			pointer-events: none;
			padding: 0 20px;
		}
		
		.secondary-text{
			font-weight: normal;
			padding-right: 5px;
		}
		.icon{
			width: 18px;
			height: 18px;
			background-size: cover;
			background-size: contain;
			background-position: center;
			background-repeat: no-repeat;
					
			&:last-child{
				margin-right: 5px;
			}
		}
		
		
		&.has-secondary-text{
			align-items: center;
			
			.text{
				padding-left: 5px;
			}
		}
		
		&.disabled{
			opacity: 0.4;
			cursor: default;
			pointer-events: none;
		}
		
		&[outlined]{
			background-color: black;
			border: 1px solid white;
			
			.text{
				color: white;
			}
			
			&:hover .text:after,
			&:hover .text:before{
				color: white;
				background: black;
			}
		}
		
		
		&:hover,
		&.glow{
			box-shadow: 0px 0px 3px 0px white;
			
			.inner{
				box-shadow: 0px 0px 30px 0px white;
			}
			
			&.green{
				box-shadow: 0px 0px 3px 0px $green;
				
				.inner{
					box-shadow: 0px 0px 30px 0px $green;
				}
			}
			&.lightazure{
				box-shadow: 0px 0px 3px 0px $lightazure;
				
				.inner{
					box-shadow: 0px 0px 30px 0px $azure;
				}
			}
			&.lightestpink{
				box-shadow: 0px 0px 3px 0px $lightestpink;
				
				.inner{
					box-shadow: 0px 0px 30px 0px $pink;
				}
			}
		}
	}
</style>








